# Interface CodedValueDomainJson

Coded value domain specifies an explicit set of valid values for a field. Each valid value is assigned a unique name. See https://developers.arcgis.com/web-map-specification/objects/codedValue_domain/.

interface CodedValueDomainJson {
codedValues: CodedValueJson[];
name: string;
type: "codedValue";
}

#### Hierarchy (view full)

- DomainJsonBase
  - CodedValueDomainJson

#####
Index

### Properties

codedValues
name
type

##
Properties

### codedValues

codedValues: CodedValueJson[]

The set of valid coded values.

### name

name: string

The name of the domain.

### type

type

Type of domain.

Overrides DomainJsonBase.type